in scala.dbc.statement
class Select

`abstract class` Select
  `extends` scala.dbc.statement.Relation
  `with` scala.ScalaObject

  A statement that when executed on a database will return a relation. The returned relation will be a subset of a table in the database or a jointure between such subsets.

Constructor Summary
| `def` this

Def Summary
`abstract` | `def` fromClause : scala.List[scala.dbc.statement.Relation] Defines the relations from which the query will obtain its data.
`abstract` | `def` groupByClause : scala.Option[scala.List[scala.dbc.statement.Expression]] Defines the grouping of the returned relation's tuples. One tuple is returned for every group. The value of `selectList` must use aggregate functions for calculation.
`abstract` | `def` havingClause : scala.Option[scala.dbc.statement.Expression] Defines conditions that must be true in the returned relation's tuples. The value expression must return a boolean can only refer to fields that are grouped or to any field from inside an aggregate function.
`abstract` | `def` selectList : scala.List[scala.dbc.statement.DerivedColumn] Defines the output fields that a tuple in the returned relation will contain, and their content with respect to the tables in the database. If the fields are not specified (that is the list is empty), all possible input fields will be returned. ### Compatibility notice SQL's qualified asterisk select sublist is not available.
`abstract` | `def` setQuantifier : scala.Option[scala.dbc.statement.SetQuantifier] Defines if duplicated tuples should be removed from the returned relation. ### Compatibility notice Some DBMS (PostgreSQL) allow uniqueness constrains on an arbitrary field instead of the entire tuple.
| `def` sqlInnerString : java.lang.String A SQL-99 compliant string representation of the relation sub- statement. This only has a meaning inside a query.
| `def` sqlString : java.lang.String A SQL-99 compliant string representation of the select statement.
`abstract` | `def` whereClause : scala.Option[scala.dbc.statement.Expression] Defines condition that must be true in the returned relation's tuples. This value expression must return a boolean or boolean-compatible value. This condition is applied before any GROUP BY clause.

Def inherited from scala.dbc.statement.Relation
execute , execute, fieldTypes, isCompatibleType, sqlInnerString, sqlString, sqlTypeString, typeCheck

Constructor Detail

`def` this

Def Detail

`abstract def` fromClause : scala.List[scala.dbc.statement.Relation]

  Defines the relations from which the query will obtain its data.

`abstract def` groupByClause : scala.Option[scala.List[scala.dbc.statement.Expression]]

  Defines the grouping of the returned relation's tuples. One tuple is returned for every group. The value of `selectList` must use aggregate functions for calculation.

`abstract def` havingClause : scala.Option[scala.dbc.statement.Expression]

  Defines conditions that must be true in the returned relation's tuples. The value expression must return a boolean can only refer to fields that are grouped or to any field from inside an aggregate function.

`abstract def` selectList : scala.List[scala.dbc.statement.DerivedColumn]

  Defines the output fields that a tuple in the returned relation will contain, and their content with respect to the tables in the database. If the fields are not specified (that is the list is empty), all possible input fields will be returned.

  ### Compatibility notice

  SQL's qualified asterisk select sublist is not available.

`abstract def` setQuantifier : scala.Option[scala.dbc.statement.SetQuantifier]

  Defines if duplicated tuples should be removed from the returned relation.

  ### Compatibility notice

  Some DBMS (PostgreSQL) allow uniqueness constrains on an arbitrary field instead of the entire tuple.

`def` sqlInnerString : java.lang.String

  A SQL-99 compliant string representation of the relation sub- statement. This only has a meaning inside a query.

`def` sqlString : java.lang.String

  A SQL-99 compliant string representation of the select statement.

`abstract def` whereClause : scala.Option[scala.dbc.statement.Expression]

  Defines condition that must be true in the returned relation's tuples. This value expression must return a boolean or boolean-compatible value. This condition is applied before any GROUP BY clause.